# abstract BGRA(UInt)

#### package lime.math.color

#### from UInt, Int, to UInt, Int

Available on all platforms

### Constructor

###

`inline new (bgra:Int = 0)`

### Variables

###

`a:Int`

###

`b:Int`

###

`g:Int`

###

`r:Int`

### Methods

###

`inline multiplyAlpha ():Void`

Available on Flash

###

`inline multiplyAlpha ():Void`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

###

`inline readUInt8 (data:UInt8Array, offset:Int, format:PixelFormat = RGBA32, premultiplied:Bool = false):Void`

Available on Flash

###

`inline readUInt8 (data:UInt8Array, offset:Int, format:PixelFormat = RGBA32, premultiplied:Bool = false):Void`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

###

`inline set (b:Int, g:Int, r:Int, a:Int):Void`

Available on Flash

###

`inline set (b:Int, g:Int, r:Int, a:Int):Void`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

###

`inline unmultiplyAlpha ():Void`

Available on Flash

###

`inline unmultiplyAlpha ():Void`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

###

`inline writeUInt8 (data:UInt8Array, offset:Int, format:PixelFormat = RGBA32, premultiplied:Bool = false):Void`

Available on Flash

###

`inline writeUInt8 (data:UInt8Array, offset:Int, format:PixelFormat = RGBA32, premultiplied:Bool = false):Void`

Available on Android, HTML5, iOS, Linux, macOS, Neko, Windows

### Static methods

###

`staticinline create (b:Int, g:Int, r:Int, a:Int):BGRA`